
{% extends 'index.html' %}
{% load static %}

{% block titulo %}
  Anuncios
{% endblock titulo %}

{% block extracss %}
  <link rel="stylesheet" href="{% static 'css/propiedades.css' %}">
{% endblock extracss %}

{% block body %}


<div class="container">

  <img src="{% static 'images/banner01.jpg' %}" class="img-card card-img-top img-fluid property-img mt-3">

  <div class="row mb-5 mt-3">
      <!-- Menú -->
      <div class="col-md-4 mb-4">

        <div class="row my-3 mx-0">
          <div class="col-md-2 pl-0 pr-1">
            <a href="/" class="btn btn-dark btn-block btn-lg"><i class="fa fa-home" aria-hidden="true"></i></a>
          </div>
          <div class="col-md-10 pr-0 pl-1">
            <a href="/crear_anuncio" class="btn btn-danger btn-block btn-lg"> Publica tu anuncio <i class="fa fa-smile-o ml-2" aria-hidden="true"></i></a>

          </div>
        </div>
        <form enctype="multipart/form-data" method="POST" class="card">
          {% csrf_token %}
          <div class="form-group px-3 my-0">
            <label class="col-form-label">Habitaciones:</label>
            <select class="form-control form-control-sm" name="numero_habitaciones">
              <option value=1>1</option>
              <option value=2>2</option>
              <option value=3>3</option>
            </select>
          </div>

          <div class="form-group px-3 my-0">
            <label class="col-form-label">Baños:</label>
            <select class="form-control form-control-sm" name="numero_banios">
              <option value=1>1</option>
              <option value=2>2</option>
              <option value=3>3</option>
            </select>
          </div>

          <hr>

          <!-- Región -->
          <div class="form-group px-3 my-0">
            <label class="col-form-label">Región:</label>
            <select class="form-control form-control-sm" name="region">
              {% for r in regiones %}
                <option value={{r.id}}>{{r.nombre}}</option>
              {% endfor %}
            </select>
          </div>

          <!-- Comuna -->
          <div class="form-group px-3 my-0">
            <label class="col-form-label">Comuna:</label>
            <select class="form-control form-control-sm" name="comuna">
              {% for c in comunas %}
                <option value={{c.id}}>{{c.nombre}}</option>
              {% endfor %}
            </select>
          </div>

          <!-- Categoria -->
          <div class="form-group px-3 my-0">
            <label class="col-form-label">Tipo inmueble:</label>
            <select class="form-control form-control-sm" name="tipo_inmueble">
              {% for ti in tiposInmuebles %}
                <option value={{ti.id}}>{{ti.nombre}}</option>
              {% endfor %}
            </select>
          </div>

          <!-- Tipo publicación -->
          <div class="form-group px-3 my-0">
            <label class="col-form-label">Tipo anuncio:</label>
            <select class="form-control form-control-sm" name="tipo_anuncio">
              {% for ta in tiposAnuncios %}
                <option value={{ta.id}}>{{ta.nombre}}</option>
              {% endfor %}
            </select>
          </div>

          <div class="m-3">
            <button type="submit" value=0 name="busqueda" class="btn btn-dark btn-block "> Buscar</button>
          </div>

        </form>
      </div>
      {% if anuncios %}
      <!-- propiedades -->
      <div class="col-md-8">
        <div class="row">
          {% for anuncio in anuncios %}
          <div class="col-xs-12 col-sm-6 col-md-6">
            <!-- Proiedad -->

              <div class="card property-item mt-3">
                <div class="">
                  <a href="{% url 'detalle_anuncio' anuncio.id %}">
                    <img src="https://www.iaconcagua.com/Multimedia/proyectos/13500.n940.jpg" class="card-img-top img-fluid property-img">
                  </a>
                  <span class="property-status bg-danger">{{anuncio.id_tipo_anuncio}}</span>
                </div>
                <div class="property--content">
                  <!-- info 1 -->
                  <div class="m-4">
                    <h5 class="property-title mb-0"><a href="{% url 'detalle_anuncio' anuncio.id %}">{{anuncio.id_tipo_inmueble}} {{anuncio.id_direccion}}</a></h5>
                    <p class="property-location">{{anuncio.id_direccion}}</p>
                    <p class="property-price">{{anuncio.precio}} UF</p>
                    <div class="row">
                      <a href="{% url 'editar_anuncio' anuncio.id %}"class="btn btn-dark btn-sm ml-auto text-white"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                      <a href="{% url 'eliminar_anuncio' anuncio.id %}" class="btn btn-danger btn-sm ml-1 text-white"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                    </div>
                  </div>
                  <!-- info 2 -->
                  <hr>
                  <div class="detail m-4">

                    <div class="row">
                      <div class="col-4">
                        <span class="feature">Dormitorios:</span><br>
                        <span class="text-muted">{{anuncio.cantidad_dormitorios}}</span>
                      </div>
                      <div class="col-4">
                        <span class="feature">Baños:</span><br>
                        <span class="text-muted">{{anuncio.cantidad_banios}}</span>
                      </div>
                      <div class="col-4">
                        <span class="feature">m2 const.:</span><br>
                        <span class="text-muted">{{anuncio.metros_cuadrados}}</span>
                      </div>
                    </div>

                  </div>
                </div>
              </div>
          </div>
          {% endfor %}
        </div>

      </div>
      {% else %}
        <div class="col-md-8 align-self-center">
          <form  method="POST" class="card py-3">
            {% csrf_token %}
            <img src="{% static 'images/no-encontrado.svg' %}" class="text-muted card-img-top img-fluid my-3 mx-auto" style="width: 100px;" >

            <h1 class="text-muted text-center"> No hay anuncios asociados</h1>
            <span class="d-block text-muted text-center">Agregue o cambie los parámetros de búsqueda</span>
            <div class="mx-auto my-3">
              <button type="submit" value=0 name="todos" class="btn btn-sm btn-dark"> Ver todas las priedades <i class="fa fa-globe ml-1" aria-hidden="true"></i></button>
            </div>

          </form>
        </div>
  </div>
</div>


  {% endif %}
{% endblock body %}
